#include <matrix.h>


Matrix mass_matrix(int floors, double mass)
{
     Matrix val;

     val = matrix_create(floors, floors);

     matrix_identity(val);

     matrix_scale(val, mass, &val);

     return(val);
}

     
Matrix stiffness_matrix(int floors, double stiffness)
{
     Matrix val;
     int i;
     
     val = matrix_create(floors, floors);

     matrix_zero(val);

     for (i = 1; i < floors; i++) {
	  matrix_set(val, i, i, 2.0);
	  matrix_set(val, i, i + 1, -1.0);
	  matrix_set(val, i + 1, i, -1.0);
     }

     matrix_set(val, floors, floors, 1.0);

     matrix_scale(val, stiffness, &val);

     return(val);
}


Matrix inverse_stiffness_matrix(int floors, double stiffness)
{
     Matrix val;
     int i, j;
     
     val = matrix_create(floors, floors);

     for (i = 1; i <= floors; i++) {
	  matrix_set(val, i, 1, 1.0);
	  matrix_set(val, 1, i, 1.0);
     }

     for (i = 2; i <= floors; i++) {
	  for (j = 2; j <= floors; j++) {
	       matrix_set(val, i, j, 1.0 + matrix_get(val, i - 1, j - 1));
	  }
     }

     matrix_scale(val, 1.0 / stiffness, &val);

     return(val);
}

