#include "pset6.h"

ARC insert_arc(ARC list, struct arc new)
{
     ARC newptr, current, previous;
     
     /*
      * Allocate memory for the new arc structure.
      */

     newptr = (ARC) malloc(sizeof(*newptr));
     if (! newptr) {
	  fprintf(stderr, "Error allocating space for arc.\n");
	  return(0);
     }

     *newptr = new;

     if (! list) {
	  newptr->next = 0;
	  return(newptr);
     }

     if (list->street > newptr->street) {
	  newptr->next = list;
	  return(newptr);
     }

     previous = list;
     current = previous->next;

     while (current && (current->street < newptr->street)) {
	  previous = current;
	  current = current->next;
     }

     newptr->next = current;
     previous->next = newptr;
     return(list);
}

/*
ARC arc_destroy(ARC list)
{
     ARC next,, current;

     current = list;

     while (current) {
	  next = current->next;
	  free((void *) current);
	  current = next;
     }

     return(0);
}
*/
