#include "pset6.h"

static STACK stack = 0;

int stack_push(int new)
{
     STACK ptr;
     
     ptr = (STACK) malloc(sizeof(*ptr));
     if (! ptr) {
	  fprintf(stderr, "Error allocating space in stack_push.\n");
	  return(-1);
     }

     ptr->node = new;
     ptr->next = stack;
     stack = ptr;
     return(0);
}


int stack_pop()
{
     int val;
     
     if (! stack) {
	  fprintf(stderr, "Attempt to pop off of empty stack in stack_pop.\n");
	  return(-1);
     }

     val = stack->node;
     stack = stack->next;

     return(val);
}

int stack_insert(int new)
{
     STACK ptr, walker;

     ptr = (STACK) malloc(sizeof(*ptr));
     if (! ptr) {
	  fprintf(stderr, "Error allocating space in stack_insert.\n");
	  return(-1);
     }
     ptr->node = new;
     ptr->next = 0;
     
     if (! stack) {
	  stack = ptr;
	  return(0);
     }

     for (walker = stack; walker->next; walker = walker->next) /* empty */;

     walker->next = ptr;
     return(0);
}

int stack_empty()
{
     return(stack == 0);
}
