#include <stdio.h>
#include <stdlib.h>
#include "section.h"
#include "tree_stuff.h"

#define INFILE "/mit/1.00/problem_sets/PS7/Xsection_list.data"
#define OUTFILE "section.out"

void print_list(struct section *list, FILE *file)
{
     fputs("   SECTION     AREA      DEPTH      I_xx\n\n\n", file);
     
     while (list) {
	  fprintf(file, "   %s   %7.3f   %7.3f   %10.3f\n",
		  list->designation, list->area, list->depth, list->Ixx);
	  list = list->next;
     }

     fputc('\n', file);
     
     return;
}


     
main()
{
     FILE *infile, *outfile;
     char designation[30];
     double area, depth, Ixx;
     struct section *node, *root;
     struct section *list;
     int count;
     double Ig;
     int retval;

     infile = fopen(INFILE, "r");
     if (! infile) {
	  fprintf(stderr, "Error opening file \"%s\" for input.\n", INFILE);
	  exit(1);
     }

     outfile = fopen(OUTFILE, "w");
     if (! outfile) {
	  fprintf(stderr, "Error opening file \"%s\" for output.\n", OUTFILE);
	  exit(1);
     }

     /*
      * Read in the first node as the root
      */
     if (fscanf(infile, " %s %F %F %F", designation, &area, &depth, &Ixx)
	 == 4) {
	  root = make_node(designation, area, depth, Ixx);
     }
     else {
	  if (feof(infile))
	       fprintf(stderr, "Empty input file \"%s\"!\n", INFILE);
	  else if (ferror(infile))
	       fprintf(stderr, "Error reading input file \"%s\".\n", INFILE);
	  else
	       fprintf(stderr, "Badly formatted input file \"%s\".\n", INFILE);
	  exit(1);
     }
     

     while(fscanf(infile, " %s %F %F %F", designation, &area, &depth, &Ixx)
	   == 4) {
	  node = make_node(designation, area, depth, Ixx);
	  add_node(root, node);
     }

     if (! feof(infile)) {
	  if (ferror(infile))
	       fprintf(stderr, "Error reading input file \"%s\",\n", INFILE);
	  else
	       fprintf(stderr, "Badly formatted input file \"%s\".\n", INFILE);
	  exit(1);
     }

     do {
	  printf("Enter the minimum moment of inertia: ");
	  fflush(stdout);
     } while (((retval = scanf(" %F", &Ig)) != 1) && (retval != -1));

     if (retval == -1)
	  exit(0);

     count = 0, list = 0;
     list = find_section(root, list, &count, Ig);

     print_list(list, stdout);
     print_list(list, outfile);

     fclose(infile);
     fclose(outfile);
     
     exit(0);
}
