#include <stdio.h>
#include <assert.h>
#include "section.h"
#include "prototypes.h"



int hash_key(double Ixx)
{
     int key = (int) (Ixx / 100.0);

     return(key);
}



void add_to_list(ELEMENT *hash_table, XSECTION ptr, int i)
{
     ELEMENT old, new;

     assert(i < MAX_HASH_SIZE);

     new = MALLOC(struct element);
     if (! new)
	  mem_error("while allocating element in add_to_list");

     new->ptr = ptr;
     new->next = 0;

     if (! hash_table[i]) {
	  hash_table[i] = new;
	  return;
     }

     for (old = hash_table[i]; old->next; old = old->next) /* empty */;

     old->next = new;
     return;
}



ELEMENT *create_hash_table(XSECTION *xsection_ptr, int num_sections)
{
     ELEMENT *table;
     int i;
     
     table = CALLOC(MAX_HASH_SIZE, ELEMENT);
     if (! table)
	  mem_error("while creating hash table");

     for (i = 0; i < num_sections; i++)
	  add_to_list(table, xsection_ptr[i], hash_key(xsection_ptr[i]->Ixx));

     return(table);
}



void get_X_sections(FILE *out, ELEMENT *hash_table, double section_modulus)
{
     int start = hash_key(section_modulus);
     ELEMENT ptr = 0;
     XSECTION data;

     while (start <= MAX_HASH_SIZE) {
	  ptr = hash_table[start];
	  while (ptr) {
	       if (ptr->ptr->Ixx >= section_modulus)
		    break;
	       ptr = ptr->next;
	  }
	  if (ptr)
	       break;
	  start++;
     }

     if (! ptr) {
	  fprintf(out, "There are no X-sections with Ixx >= %f.\n",
		  section_modulus);
	  return;
     }

     data = ptr->ptr;

     fprintf(out, "The following X-sections meet the requested criteria:\n\n");
     print_sections(out, data->list, data->count, "");
	  
     return;
}
