#include <stdio.h>
#include <strings.h>
#include "section.h"
#include "prototypes.h"

#define DATA_FILE "/mit/1.00/problem_sets/PS8/Xsection_list.data"

main()
{
     FILE *in;
     XSECTION *xsection_ptr;
     ELEMENT *hash_table;
     int num_sections;
     char input[100];
     double Ixx;

     in = fopen(DATA_FILE, "r");
     if (! in) {
	  fprintf(stderr, "Can't open \"%s\".\n", DATA_FILE);
	  exit(3);
     }

     xsection_ptr = read_data(in, &num_sections);

     fclose(in);
     
     sort(key_Ixx, xsection_ptr, num_sections);

     order_by_area(xsection_ptr, num_sections);

     hash_table = create_hash_table(xsection_ptr, num_sections);

     free(xsection_ptr);

     while (1) {
	  printf("\nEnter the desired section modulus value\n(or hit Enter to quit)\t\t\t\t-> ");
	  if ((! fgets(input, 100, stdin)) || (*input == '\0') ||
	      (*input == '\n'))
	       break;
	  if (sscanf(input, " %F", &Ixx) != 1) {
	       char *garbage = index(input, '\n');
	       if (garbage)
		    *garbage = '\0';
	       fprintf(stderr, "\nI can't understand \"%s\".\n", input);
	       continue;
	  }
	  if (Ixx < 0.0) {
	       fprintf(stderr,
		       "\nThe section modulus must be non-negative.\n");
	       continue;
	  }
	  fputc('\n', stdout);
	  get_X_sections(stdout, hash_table, Ixx);
     }

     exit(0);
}

