#include <stdio.h>
#include "section.h"
#include "prototypes.h"



static void print_section(FILE *out, XSECTION ptr, char *prefix)
{
     fprintf(out, "%s  %s\t%7.3f\t\t%6.3f\t\t%9.3f\n", prefix, ptr->designation,
	     ptr->area, ptr->depth, ptr->Ixx);
     return;
}



void print_sections(FILE *out, XSECTION *xsection_ptr, int num_sections,
		    char *prefix)
{
     int i;

     fprintf(out, "%sDesignation\t Area\t\tDepth\t\t   Ixx\n", prefix);
     fprintf(out, "%s-----------\t-------\t\t------\t\t---------\n", prefix);
     for (i = 0; i < num_sections; i++)
	  print_section(out, xsection_ptr[i], "");
     return;
}



void print_lists(FILE *out, XSECTION *xsection_ptr, int num_sections)
{
     int i;

     for (i = 0; i < num_sections; i++) {
	  fprintf(out, "%s\n", xsection_ptr[i]->designation);
	  print_sections(out, xsection_ptr[i]->list, xsection_ptr[i]->count,
			 "\t");
     }
     return;
}

