#include "section.h"
#include "prototypes.h"



double key_area(XSECTION *xsection_ptr, int i)
{
     return(xsection_ptr[i]->area);
}



double key_Ixx(XSECTION *xsection_ptr, int i)
{
     return(xsection_ptr[i]->Ixx);
}



void sort(double (*key_ptr)(XSECTION *, int), XSECTION *xsection_ptr,
	  int num_sections)
{
     int i, j;
     XSECTION temp;

     for (i = num_sections - 1; i > 0; i--) {
	  for (j = 0; j < i; j++) {
	       if ((*key_ptr)(xsection_ptr, j) >
		   ((*key_ptr)(xsection_ptr, j + 1))) {
		    temp = xsection_ptr[j];
		    xsection_ptr[j] = xsection_ptr[j + 1];
		    xsection_ptr[j + 1] = temp;
	       }
	  }
     }
     return;
}



#define COUNT xsection_ptr[i]->count
#define LIST xsection_ptr[i]->list

void order_by_area(XSECTION *xsection_ptr, int num_sections)
{
     int i;

     for (i = 0; i < num_sections; i++) {
	  COUNT = 0;
	  while ((COUNT < 10) && (i + COUNT < num_sections)) {
	       LIST[COUNT] = xsection_ptr[i + COUNT];
	       (COUNT)++;
	  }
	  sort(key_area, LIST, COUNT);
     }
     return;
}

#undef COUNT
#undef LIST

