@Make (Report)
@Style (LeftMargin 1 inch, RightMargin 1 inch, TopMargin 1
inch, BottomMargin 1 inch, Spacing 2, Spread 0, Indent 5)
@Device (LptLn)

@Begin (TitlePage)

@Begin (TitleBox)
@MajorHeading (King and Queen in @b[Hamlet]:)
What Shakespeare Wrote and What He Meant
@End (TitleBox)

by Jonathan Kamens

21.009 Eiland

October 29, 1987

@End (TitlePage)

I recently attend the Massachusetts Institute Of Technology
Shakespeare Ensemble's 1987 fall production of @i[Hamlet].  Having
never before attended a live performance of a Shakespeare play, I was
far from sure what to expect.  I had always imagined when reading the
play that the king and queen were constantly behaving in a stately and
royal manner.  My surprise was thus quite intense when, at the
beginning of I.ii, the queen came running onto the stage, pursued by
the king, both of them in a rather jolly mood.  When he caught her,
they embraced passionately.  It was at that point that I realized the
great variety of styles with which these two parts, and their actions
with respect to each other, can be interpreted and played.  It had
simply never occurred to me that they could be so merry.  Shakespeare
obviously wrote the parts to be played in one particular way, since he
directed the play and was able to instruct the actors "properly."
However, we have none of his director's notes, and we must rely solely
on what he tells us in the play.  I intend to explore what he writes
and what he means by what he writes.

@Center (@b[What We Know Already])

First of all, we must discuss what we know about the situation in the
royal court of Elsinore.  We know through several references, most of
them by Hamlet himself, that the old King Hamlet has been dead less
than two months (I.ii.138, for example), and that Gertrude and
Claudius were married approximately a month after the death of Hamlet
(I.ii.145).  We also know, through an inference in the play performed
in III.ii, that Gertrude and King Hamlet had been married for thirty
years at his death.

Now we come to the first bit of uncertainty.  Several times in the
play, Hamlet asserts that the love between his mother and father was a
true and beautiful thing.  The ghost, too, implies that the love of
the queen love for him was true, by asking Hamlet not to harm her in
any way.  Because of her love, the "thorns that in her bosom lodge /
To prick and sting her" (I.v.86-87) will be punishment enough.
Furthermore, the ghost very clearly tells us that his love for
Gertrude was true.
@begin (quotation, indent 0)

O Hamlet, what a falling-off was there, 

From me, whose love was of that dignity 

That it went hand in hand even with the vow 

I made to her in marriage... (I.v.47-50)

@end (quotation)
The only person from whom we have not heard concerning Gertrude's love
for King Hamlet is Gertrude.  The audience watching the play might be
led to believe that Gertrude's feelings for the King Hamlet were true
and strong because of her reaction to Hamlet's verbal attack in
III.iv.  However, the queen's guilt cannot be completely attributed to
a strong love for Hamlet.  Instead, the shock of realizing that she
has married her husband's murderer and the suppressed guilt of
marrying so soon after her husband's death combine to cause the
intense shame which she feels when confronted by Hamlet.  Other
contributing factors might be that Hamlet has made her realize that
the marriage could be considered incestuous, and that she is ashamed
that most of her reason for marrying Claudius was not love, but rather
convenience and loneliness after the death of Hamlet.

In order to understand how Gertrude could marry Claudius only a month
after Hamlet's death, we must accept one of two assumptions.  The
first is that she didn't really love Hamlet all that much.  The
alternative is that the young Hamlet spoke truly, at least in his
mother's case, when he said, "Frailty, thy name is woman" (I.ii.146).
Gertrude was not used to being without husband and not used to @u[not]
being queen, so when the opportunity came along for her to regain all
of her former status, she jumped on it.  I would like to suggest that
both of these possibilities are partially correct.  She was able to
marry Claudius both because her love for Hamlet was not as strong as
the young Hamlet would have liked to believe, and because she needed
someone after the king's death, and Claudius was in the perfect
position to be that someone. Parenthetically, it is easy to understand
how young Hamlet could be mistaken about the love his mother felt for
his father, because children often do not see clearly when the subject
they are examining is their parents.  Furthermore, it is possible that
the ghost tells Hamlet not to harm Gertrude because of his love for
her and not because of her love for him.

In summary, the situation is as follows.  Claudius and Gertrude have
been married for a month, and King Hamlet has been dead for two
months.  While King Hamlet and Gertrude loved each other, Gertrude's
love was not as strong as both Hamlets would choose to believe.
Finally, the marriage of Claudius and Gertrude is more a marriage of
convenience than of love.  With these "postulates," we can proceed to
discuss interrelations between Claudius and Gertrude in the play.

@Center (@b[Examining the King and Queen])

The first passage we must examine occurs at the beginning of I.ii, in
the king's first monologue:
@begin (quotation, indent 0)
Though yet of Hamlet our dear brother's death

The memory be green, and that it us befitted

To bear our hearts in grief, and our whole kingdom

To be contracted in one brow of woe.... (I.ii.1-4)

@blankspace (1)

Therefore our sometime sister, now our Queen,

Th' imperial jointress to this warlike state,

Have we, as 'twere, with a defeated joy,

With an auspicious and a dropping eye,

With mirth in funeral, and with dirge in marriage,

In equal scale weighing delight and dole,

Taken to wife.... (I.ii.8-14)

@end (quotation)
I refuse to believe that Claudius is truly grieved by Hamlet's death
and yet at the same time is willing and able to love Gertrude so soon
after.  The possibilities, therefore, are that either Claudius is not
grieved and loves the queen or that he is truly grieved and does not
love her.  I choose to believe the latter case, with Claudius'
soliloquy and prayer in III.iii as evidence that he is truly grieved by
what he has done.  Here, then, is our first indication of how the king
and queen relate to each other in the play.  We have stated before
that the queen married Claudius for the most part for convenience's
sake, and we here prove that Claudius, too, does not love Gertrude.
Instead, he marries her to complete the "take-over" which he initiated
by killing Hamlet and to make a show of power, as if to say, "Ha, I
married the queen, surely I am king!"  Evidence of this is easy to
find:
@begin (quotation, indent 0)

That cannot be,I am still possessed

Of those effects for which I did the murder.

My crown, mine own ambition, and my queen. (III.iii.53-55)

@end (quotation)
He lists the queen merely as another one of the symbols and privileges
of his power.  Indeed, if his love for the queen were true, then I
doubt he would have placed her after his ambition in the list.

It is possible to understand Shakespeare's intent not only by what the
king and queen say, but also by what they do not say.  Witness for
example, the parting of the king and queen in III.i compared to the
parting of Laertes and Ophelia in I.iii.  Ophelia and Laertes are
"only" sister and brother, and yet they are loath to part with each
other.  In fact, their clever banter can be looked upon almost as
flirting.  In the interpretation of the Shakespeare Ensemble
production, Laertes is literally "all over" Ophelia, behaving almost
as a lover would and not a brother.  The parting of the king and queen
is the complete antithesis of this.  The king merely says, "Sweet
Gertrude, leave us too" (III.i.28).  I find it hard to believe that
two newliweds should be so cold while a brother and sister are so
emotional.  In fact, never in the play do we see words of love
exchanged between Claudius and Gertrude.  Surely in his grief the king
would turn to his queen if he did love her, and surely the queen, who
is grieved not only by her husband's death but also by her son's
melancholy, would turn to Claudius if she loved him!

Another of the king's actions which goes against the possibility of
his loving Gertrude is his decision to send Hamlet to his death in
England.  Even if Claudius refuses to recognize that Gertrude might be
grieving over her husbands death, he cannot fail to see how much she
loves the younger Hamlet and how much his sickness hurts her.  And yet
he prepares a commission to have Hamlet killed and doesn't even tell
the queen!  If Claudius felt that he needed to have Hamlet killed in
order to prevent him from revealing the murder of the old king, he
surely could have had the boy executed for killing Polonius!  It is
possible to argue that Claudius sent Hamlet to England to be killed in
order to spare his wife the anguish of witnessing an execution of her
son, but surely Gertrude would feel even more anguish after finding
out that her new husband had deceived her and sent her only son off to
die to save himself from political embarrassment!  Furthermore,
Claudius does not simply leave Gertrude "in the dark," he actually
lies to her about his purpose in sending Hamlet to England.
@Begin (quotation, indent 0)
...this vile deed

We must with all our majesty and skill

Both countenance and excuse.... (IV.i.30-32)
@End (quotation)
If the marriage of Claudius and Gertrude had been one inspired by true
love, then Claudius would have been willing to bear the wrath of
Hamlet in order to spare his wife pain, rather then send Hamlet off to
die without telling her.

Using a similar logic, we see that if Claudius had loved Gertrude, he
could not have calmly plotted with Laertes to arrange for Hamlet's
"accidental" death to occur right in front of the queen.  He was
looking out for himself and for his "crown and ambition."  Crown and
ambition comes before queen, and Hamlet is in the way of crown and
ambition.

@Center (@b[What Does It Mean?])

In this paper, I have attemped to show that it is Shakespeare's intent
to have the king and queen portrayed as husband and wife who do not
love each other.  I have demonstrated that Gertrude consents to marry
Claudius because of loneliness after being with a husband for thirty
years and because she does not want to be deprived of the privileges
she had enjoyed as queen.  To Claudius, the marriage is merely a
"feather in his cap," another accomplishment to add to his list of
achievements.  Furthermore, Claudius could not possibly act as he does
throughout the play if he were truly in love with Gertrude.  Although
I enjoyed the production of @i[Hamlet] performed by the Shakespeare
Ensemble, in this respect I must find error in it.  The king and queen
should be played as a stately and royal couple, not as a jolly pair of
young newliweds chasing each other around the stage throughout the
play.
