@Device (PostScript)
@Make (Report)
@Style (FontFamily LubalinGraph, LeftMargin 1 inch, RightMargin 1 inch,
TopMargin 1 inch, BottomMargin 1 inch, Spacing 2.2, Spread 0, Indent 5,
Size 14)
@TabClear()
@TabSet (6 inch)
@Begin (TitlePage)

@Begin (TitleBox)

@MajorHeading (Robert Frost's ``Out, Out--'')
@Majorheading (in Interpreting)
@MajorHeading (Shakespeare's @i[Macbeth])

@End (TitleBox)

by Jonathan Kamens

21.009 Eiland

December 10, 1987

@End (TitlePage)

@Begin (Transparent, Size 16)
@Center (``Out, Out--'')
@End (Transparent)
@Begin (Transparent, Size 12)
@Center (by Robert Frost)
@End (Transparent)

@Begin (Format)
The buzz-saw snarled and rattled in the yard
And made dust and dropped stove-length sticks of wood,
Sweet-scented stuff when the breeze drew across it.
And from there those that lifted eyes could count
Five mountain ranges one behind the other@\@+(5)
Under the sunset far into Vermont.
And the saw snarled and rattled, snarled and rattled,
As it ran light, or had to bear a load.
And nothing happened: day was all but done.
Call it a day, I wish they might have said@\@+(10)
To please the boy by giving him the half hour
That a boy counts so much when saved from work.
His sister stood beside them in her apron
To tell them `Supper.'  At the word, the saw,
As if to prove saws knew what supper meant,@\@+(15)
Leaped out of the boy's hand, or seemed to leap--
He must have given the hand.  However it was,
Neither refused the meeting.  But the hand!
The boy's first outcry was a rueful laugh,
As he swung toward them holding up the hand@\@+(20)
Half in appeal, but half as if to keep
The life from spilling.  Then the boy saw all--
Since he as old enough to know, big boy
Doing a man's work, though a child at heart--
He saw all spoiled.  `Don't let him cut my hand off--@\@+(25)
The doctor, when he comes.  Don't let him, sister!'
So.  But the hand was gone already.
The doctor put him in the dark of ether.
He lay and puffed his lips out with his breath.
And then--the watcher at his pulse took fright.@\@+(30)
No one believed.  They listened at his heart.
Little--less--nothing!--and that ended it.
No more to build on there.  And they, since they
Were not the one dead, turned to their affairs.
@End (Format)
@BlankSpace (1)
@Display [@Begin (Format, Leftmargin +0.5 inch)
...Out, out brief candle!
Life's but a walking shadow, a poor player
That struts and frets his hour upon the stage
And then is heard no more.  It is a tale
Told by an idiot, full of sound and fury
Signifying nothing.
@End (Format)
@Begin (Format, LeftMargin +3 inch)
(@i[Macbeth], V.v.23-28)
@End (Format)]
@BlankSpace (1)
@Center (******************************)
@BlankSpace (3)
@Center (@u[Introduction])
@BlankSpace (1)

While countless authors have attempted to use Shakespeare as a basis
for their own works, few have succeeded as elegantly and at the same
time as simply as Robert Frost has done in his poem, ``Out, Out--.''  In
the same way that many authors have used quotes from Shakespeare as
titles for their books, Frost uses a very small excerpt from
@i[Macbeth] as the title of his poem.  However, Frost's effort is
different, and therefore impressive, because although the allusion is
so short and also so seemingly unrelated (in a literal sense, at
least) to the rest of the poem, it still manages to greatly broaden
the poem's meaning.  His allusion gives to the poem a whole range of
possible meanings and interpretations, from the very simplest, which
ignores the allusion completely, to the most all-encompassing and
complex, which captures all of @i[Macbeth] in the two words, ``Out,
out.''  I intend in this paper to expand upon a more complex
interpretation of Frost's allusion, and thereby to explore
Shakespeare's message as well.

@BlankSpace (1)
@Center (@u[Analyzing the poem])
@BlankSpace (1)

To properly understand the relationship of ``Out, Out--'' to
@i{Macbeth}, we must first understand the poem better by itself.  It
is therefore appropriate to dissect the poem before proceeding to
discuss the play.

The literal plot is simple enough.  A boy is in the yard
sawing wood with a buzz-saw.  It is evening, so his sister comes out
to tell him to stop sawing and come in for dinner.  He apparently
loses control of the saw, perhaps because he looks at her, and cuts
his hand off.  He loses a lot of blood and eventually dies.

This literal description of the events in the poem certainly gives us
no reason to think that it is anything like @i[Macbeth].  We must
therefore examine the imagery Frost uses and the omniscient comments
the poem makes in order to see the connection.

The beginning of the poem is peaceful.  A boy is doing his chores in
the backyard of his country home in Vermont.  The evening breeze blows
across the yard and spreads the sweet smell of freshly-cut green wood.
Looking toward the west, we see a beautiful sunset over mountain ridges.  All
is peaceful, and all is as it should be.

But wait, things are not all well.  The boy is tired of cutting wood.
He wants to do other things, to be away from his chores, but he does
not want to finish them in order to be free from doing them....
@Display <@Quotation [Call it a day, I wish they might have said

To please the boy by giving him the half hour

That a boy counts so much when saved from work.

@Hsp {3 inches}(ll. 10-12)]>  The boy daydreams about doing things other
than sawing wood.  He thinks about playing with other boys or perhaps
about eating a good dinner.  With this, his mind strays from the job
at hand.

Alas, the straying of his thoughts is his downfall.  His sister comes
out to tell him that supper is ready.  However, she does not tell
''him,'' she tells ``them'' (l. 14).  Who is this ``them'' to whom the
author refers?  On a literal level, it can be only the saw, but surely
the sister is not talking to a saw!  Indeed, she is not.  Instead, she
speaks to that which the saw symbolizes for the boy.  To him, it
represents the work which he must do and his desire to be allowed to
stop doing it.  The sister speaks both to the boy who is sawing the wood and
to the boy whose mind is wandering elsewhere

These two entities, the sawing boy and the dreaming boy, are
incompatible.  It is for this reason that the saw does what it next
does: @Display [@Quotation <...At the word, the saw,

As if to prove saws knew what supper meant,

Leaped out of the boys hand, or seemed to leap--

He must have given the hand....

@Hsp {3 inches}(ll. 14-17)>] These lines are far more significant than
they seem at first glance.  The most important phrase is, surely, ``He
must have given the hand.''  The boy is undone through what appears to
be a mishap, an accident caused totally by chance.  But this is not
the case.  The boy ``must have given the hand'' by allowing his thoughts
to stray away from the task at hand.  When he begins to think about
things ``bigger and better'' than sawing wood, he gives the saw, here
the symbol of his ambition, the advantage and allows it to overpower
him.

The boy is injured, and the doctor comes.  The doctor anesthetizes him to keep
him from feeling the pain of his self-inflicted injury.  But this can
do him no good, because ``the hand was gone already.''  As his pulse
weakens and eventually stops completely, those who stand eagerly
hoping for his recovery lose all hope and at the same time cannot
believe that such a promising life has been taken.  They must,
however, accept it, and since they are still alive, they go on with
their lives as best as they can.

@BlankSpace (1)
@Center (@u[Relating the poem to @i{Macbeth}])
@BlankSpace (1)

The experienced reader of Shakespeare has by now realized the
thoroughness with which Frost has bound his poem to @i[Macbeth].  In
the thirty-four lines which make up the poem, he manages to retell the
story of the entire play.  In the next two sections of this paper, we
will first examine this binding and then examine why Frost chose the
particular quote which he chose as the title of the poem.

Obviously, we must compare the boy in ``Out, out--'' to Macbeth in
@i[Macbeth].  However, that comparison itself is not sufficient to
bring out all the parallels between the two works.  In order to do
this, it is necessary to add the poem's setting to the comparison.  At
the beginning of the poem, all is peaceful, quiet, serene.  Everything
seems ``right.''  In the same way, we see at the beginning of
@i[Macbeth] that everything is going well for Macbeth.  We cannot look
at the opening scenes of the play literally, because they depict
Macbeth returning from a bloody war, and this is obviously not
peaceful and serene.  Instead, let us look at Macbeth's position at
court after he returns from battle.  He has just succeeded in winning
a great victory, and it seems that he is doing pretty well for
himself.  The king has become fond of him, and Macbeth therefore can
look forward to moving up in the world rapidly in the future.  In
fact, he is awarded a new title for his acts in the war.  We see that
Macbeth's success runs parallel to the serenity of the opening scene
of the poem.  If this is the case, then this success must be shattered
in the same way as Frost's Vermont evening.  This is, indeed, the
case....

In the poem, the serenity of the evening is ruined when the boy lets
his mind wander and therefore stops concentrating at the task at hand,
the orderly sawing of pieces of wood.  It is but a small step to
relate the boy's wandering mind to Macbeth's ambition.  Once we do
this, this link between the poem and play becomes clear.  Macbeth
fails to keep @u[his] mind on the task at hand, which is the faithful
service of king and country.  His ambition, his ``wandering mind,'' leads
him to think of bigger and better things, in much the same way that
the boy thinks of what he would be doing rather than sawing wood.
Macbeth is ruined by his ambition because he allows it to control him.
Furthermore, it is Macbeth himself who has ``given the hand'' to his
ambition.

The next question with which to deal is the role in @i[Macbeth] which
is served by the sister in the poem.  A little reflection will yield
that this role can be none other than that of the three witches.  In
much the same way that the sister's announcement of pending release
from unwanted labor throws the boy off guard and causes him to lose
control of his saw, the witches' prophecies of Macbeth's pending
advancement to higher position cause him to lose control of his
ambition.  In much the same way that the sister brings to a head the
daydreaming which the boy has already started, the predictions of the
three witches bring to the surface Macbeth's already-conceived notions
of quick advancement.  Although the parallel breaks down when we begin
to consider the intentions of the sister vs. the intentions of the
witches (They probably have bad intentions, while hers are apparently
entirely innocent.), we do not need to take the comparison that far,
and this will therefore not affect our interpretation either of the
poem or of the play.

So, the boy is wounded by the saw, and Macbeth allows his ambition to
get the best of him and therefore kills Duncan.  What happens next?
In desperation, the boy cries out to his sister.  ``Don't let him cut
my hand off!'' (l. 25)  In the same way, Macbeth returns to the witches
to force them to help him once he has killed the King.  However, the
boy's protests can do nothing to save him or his hand, and Macbeth's
pleas for help do nothing in the end to save him from death.

The boy is put in ``the dark of ether'' to save him from the pain.
Macbeth, too has his own ether.  When he asks the witches for help,
they tell him, ``...none of woman born/Shall harm Macbeth'' (IV.i.80-81),
and also, @Display {@Quotation [Macbeth shall never vanquished be until

Great Birnam Wood to high Dunsinane Hill

Shall come against him.

@Hsp (3 inches)(IV.i.92-94)]}  The witches give him these veiled promises to ``anesthetize'' him so that his guilt and pain is
hidden from him and replaced by burning ambition and so that he will
be unaware of his pending death.  

The boy dies.  Not much can be said for this.  Macbeth, too, dies.  It
is, however, necessary to analyze the overall ``reason'' for each death.
If the parallel between the plan and the poem is to hold, then it is
impossible to interpret Macbeth's death as ``punishment'' for his evil,
because it would be ridiculous to say that the boy dies as punishment
for the ``evil'' of daydreaming.  It is necessary, therefore, to
interpret Macbeth's death in a different light.  If it weren't for the
witches, Macbeth might never have driven himself to kill Duncan.  He
would have gradually progressed up the court, and he might have
eventually become king on his own.  His death is therefore a needless
result of an ambition which overpowers the better (in a moral sense)
part of his personality  In the same way, the boy's death in ``Out,
out--'' is a needless result of the short attention-span of a child.

The last two lines of the poem are perhaps its most significant link
to the play.  ``No more to build on there.  And they, since they/Were
not the one dead, turned to their affairs.''  The message is clear:
life goes on.  In the same way, Malcolm (in V.viii) turns to the
affairs of state immediately upon being declared King.  While it is
possible to miss the significance of this when reading the play,
because it simply seems like he is ``fitting right into the job,'' Frost
makes it very clear that he considers this to be an important message
of both the play and the poem.

@BlankSpace (1)
@Center (@u[Why ``Out, out--?''])
@BlankSpace (1)
It is clear that the poem ``Out, out--'' is strongly parallel to
@i[Macbeth].  However, what is not yet clear is the reason why Robert
Frost chose to name the poem as he did.  I think he did so because he
feels that the quote from which ``Out, out'' is taken best illustrates
what he considers to be the most important theme of the play.  That
theme, the brevity of life and the futility of a life which can be
snuffed out at any moment and which is infinitesimal compared to
the life of the universe, is illustrated beautifully in Macbeth's
``Out, out'' speech, and Frost illustrates it just as well in his poem
about the death of a boy.
