@Device(PostScript)
@Style(Spacing 2, Spread 0, Indent 5, LeftMargin 1 inch, RightMargin 1
inch, TopMargin 1 inch, BottomMargin 1 inch, Size 14, hyphenation on)
@PageHeading()

@Majorheading(Concert Report Number 3)
@Heading(by Jonathan Kamens)
@Blankspace(0.5 inch)

The concert I went to was a performance by an American Jewish "rock"
group called @i[Safam], which means "Moustache" in Hebrew.  The
performance was in honor of the fortieth anniversary of the
independence of the state of Israel; the anniversary in the Hebrew
calendar coincided with Thursday night and Friday of last week.

I placed the word "rock" in quotes in my description of Safam, because
the group can by no means be described merely as a rock group.  Their
songs range from cantorial melodies to barbershop quartet pieces to
Hebrew hymns sung to the tune of @i[Blue Moon].  It is difficult to
really "analyze" such a concert, because of the variety of musical
genres performed, and because I am so familiar with the group's music
that it is difficult for me to separate myself from it and treat it
analytically.

One point I would like to make is that in the walls of the concert
hall were carved the names of famous composers throughout history.  I
was shocked to realize, upon noticing these names in the middle of the
concert, that I recognized the vast majority of them.  Not only that,
but I could name the musical period and some identifying qualities for
over half of the names I recognized.  It was a nice feeling.  In any
case, that's not what this report is for....

After the concert was finished, a friend of mind who knows quite a bit
more about music said to me, "I've finally realized why I enjoy
'Jewish rock' more than popular rock music.  Popular music sticks with
fifths and octaves in most of their music, while Jewish rock, which
incorporates the cantorial and choir melodies and harmonies of Jewish
music, uses a much wider range of harmonic expressions."  This totally
floored me at first ("How the hell can he notice stuff like that," I
thought.), but when I thought about it I began to realize what he is
saying.

I, too, have always enjoyed the music of this one particular group
more than "popular" rock music, Although this is partially due to the
fact that I can emphathize more with the words and meanings of the
song, there is also an element of the actual melodic and harmonic
contents of the music, and it was this that my friend was addressing.
Cantorial melodies are a beautiful musical form which [often] shows
off a large portion of the singer's range in a way that is enjoyable
to the listener and to the singer.  Most "top-40" musicians today
cannot approach the versatility of a good cantor, and this is one of
the aspects of the music which I enjoy.

I remember when we were studying plainchant, some mention was made of
the fact that Jewish cantorial music is derived in some ways from that
style.  One way in which this is true is that cantorial music is very
rarely sung with musical accompaniment, and when it is, the music is
always subservient to the voice.  This is true of the music of Safam
as well.  Although they do use musical instruments that are identical
to those of any rock band (acoustic and electric alto guitars and a
bass guitar, two electric keyboards, an amplified flute, a drumset and
some funky noisemakers), the music was always toned down or stopped
completely when an impressive vocal theme was being sung.  This is
another thing that I realized I enjoyed about this type of music: you
can @u[understand] the words because the performers consider it
important that you can understand.

Finally, the fact that cantorial music is a part of the music of Safam
makes their music different from most other popular rock music because
it guarantees that they don't have any "template" songs, in other
words songs which just have the same melody repeated over and over
with different lyrics.  Safam places unique cantorial solos in each of
their songs, and it makes the song more interesting then something
that could be sung by any amateur backyard band.
