@Device(PostScript)
@Style(Spacing 2, Spread 0, Indent 5, LeftMargin 1 inch, RightMargin 1
inch, TopMargin 1 inch, BottomMargin 1 inch, Size 14)
@PageHeading()

@Heading(A report on)
@Majorheading(Gilbert and Sullivan's)
@Majorheading(@i[HMS Pinafore])
@Heading(by Jon Kamens)

Before recently attending a performace of @i{HMS Pinafore} at Boston's
Colonial Theatre, I had only seen one other Gilbert and Sullivan
production, @i{Iolanthe}.  I was therefore somewhat unsure what to
expect from this particular performance musically.  I enjoyed the play
immensely, but I feel that it was flawed in certain cases both in the
music and its performace.  I would like to discuss in this paper both
the aspects of the performance which I enjoyed most and those which I
found lacking.

One thing about Gilbert and Sullivan's plays which stays constant
throughout most of them is the various song structures that they
employ.  I would like to discuss one of those, which I will call the
"teacher" structure, in particular.  This type of song consists of a
series of verses with different lyrics but with exactly the same
music.  These verses are usually sung by a single character who is
relating some experience or explaining something to the rest of the
cast.  The last line of each verse is in some cases constant
throughout the song, and in other case it changes in each verse to
become the "punchline" of the joke in that particular verse.  In
either case, the cast, acting as chorus, always repeats this last line
with a full cadence after the soloist has sung it with a half cadence.

For example, in @i{HMS Pinafore}, there is a song called "When I was a
lad," in which Sir Joseph relates the experiences and wisdom which
helped him to become the "First Lord of the Admiralty."  The verses in
the song follow an {A A' B C C'} pattern, where A' is A transposed
down, and C' is C with a full cadence as opposed to a half.  {A A' B
C} is sung by Sir Joseph, and the C' is repeated by the cast.  In this
song and others like it throughout the Gilbert and Sullivan plays, the
music is not considered the important element of the song.  Instead,
it is the lyrics, usually politically satiric and always funny, which
is supreme.

However, Sir Sullivan certainly would not put up with having his
wonderful music play second fiddle (no pun intended) to Sir Gilbert's
lyrics, so there are songs in all G&S plays where music is far more
important lyrics.  Unfortunately, many musicals take this too far by
drowning out the singers with the orchestra until it is impossible to
hear any of the lyrics clearly at all.

One type of vocal singing we have not yet discussed in class which was
employed in @i{HMS Pinafore} is the type of song in which two or more
soloists sing two different parts with the same melody (although it is
perhaps transposed) but with different lyrics.  I personally find this
type of thing terribly annoying, and I have never enjoyed it in any
production in which I've seen it done.  It makes understanding either
set of lyrics virtually impossible, or, in a best-case scenario, it is
possible to understand the stronger voice (usually the male tenor) but
impossible to understand what the soprano is singing.  Either I have
just been attending the wrong productions, or I am not in tune enough
with the music to be able to decipher both sets of lyrics.

One thing I have always found difficult is understanding soprano
singers.  The vowels tend to be sung differently because the high
pitch and necessity of high volume, and this throws me off quite a
bit.  In this production, I had this problem a little bit, but for the
most part I think they did a good job of making the lyrics
understandable.
