#!/afs/athena/contrib/perl/p

$use_minimums = 1;

%dists = ('aa', 0, 'ab', 7, 'ac', 6, 'ad', 10, 'ae', 13,
	  'ba', 7, 'bb', 0, 'bc', 7, 'bd', 10, 'be', 10,
	  'ca', 6, 'cb', 7, 'cc', 0, 'cd', 5, 'ce', 9,
	  'da', 10, 'db', 10, 'dc', 5, 'dd', 0, 'de', 6,
	  'ea', 13, 'eb', 10, 'ec', 9, 'ed', 6, 'ee', 0);

sub cost {
    local(@path) = split(//, $_[0]);
    local($total) = 0;
    local($i);
    for ($i = 1; $i < @path; $i++) {
	$total += $dists{$path[$i - 1] . $path[$i]};
    }
    $total;
}

sub estimate1 {
    sprintf("%05d", &cost($_[0]));
}

sub estimate2 {
    local($cost, $length);
    $cost = &cost($_[0]);
    $length = length($_[0]);
    while ($length < 3) {
	$cost += 5;
	$length++;
    }
    while ($length < 6) {
	$cost += 6;
	$length++;
    }
    sprintf("%05d", $cost);
}

sub runit {
    %minimums = ();
    $estimate = &estimate('a');
    @queue = ("$estimate a");
    %allnodes = ('a', 1);
    $nodecounter = 0;

    do {
	$, = "\n";
#    print @queue, "\n";
#    print %minimums, "\n" if ($use_minimums);

	($estimate, $opath) = split(/ /, shift @queue);

	foreach $node ('a', 'b', 'c', 'd', 'e') {
	    if (($node eq 'a') && (length($opath) != 5)) {
		next;
	    }
	    elsif (index($opath, $node) > $[) {
		next;
	    }

	    $spath = join("", sort split(//, "$opath$node"));
	    if ($use_minimums) {
		if (defined($minimums{$spath . $node})) {
		    if (&cost("$opath$node") < &cost($minimums{$spath . $node})) {
			$minimums{$spath . $node} = "$opath$node";
		    }
		    else {
			next;
		    }
		}
		else {
		    $minimums{$spath . $node} = "$opath$node";
		}
	    }
	    $estimate = &estimate("$opath$node");
	    $allnodes{"$opath$node"} = 1;
	    push(@queue, "$estimate $opath$node");
#	print "Trying $opath$node.\n";
	}

	@queue = sort @queue;
    } while (@queue && ($queue[0] !~ / ......$/));


    $queue[0] =~ s/.* //;
    printf("Best path is %s, at a cost of %d.\n", $queue[0], &cost($queue[0]));
    foreach $i (keys %allnodes) {
	$nodecounter++;
    }
    printf("%d nodes were examined.\n", $nodecounter);
}

*estimate = estimate1;

&runit;

print "\n";

*estimate = estimate2;

&runit;

print "\n";
