;;; Jonathan Kamens
;;; 6.034 Problem Set 3

;;; Problem 4

;; (a)

(defun minimax (tree)
  (real-minimax tree t))

(defun real-minimax (tree maximizing)
  (if (atom tree)
      tree
    (let ((left (real-minimax (car tree) (not maximizing)))
	  (right (real-minimax (cdr tree) (not maximizing))))
      (if maximizing
	  (max left right)
	(min left right)))))

; > (minimax (trial 47))
; 85

;; (b)

(defun alphabeta (tree)
  (setq *alphabeta-nodes-examined* 0)
  (let ((retval (alphabeta-maximize tree most-negative-fixnum
				    most-positive-fixnum)))
    (setq *alphabeta-nodes-pruned* (- (node-count tree) 
				      *alphabeta-nodes-examined*))
    retval))

(defun node-count (tree)
  (if (atom tree)
      1
    (+ 1 (node-count (car tree)) (node-count (cdr tree)))))

(defun alphabeta-maximize (tree alpha beta)
  (setq *alphabeta-nodes-examined* (1+ *alphabeta-nodes-examined*))
  (if (atom tree)
      tree
    (if (>= alpha beta)
	alpha
      (progn
	(setq alpha (max alpha (alphabeta-minimize (car tree) alpha beta)))
	(if (>= alpha beta)
	    alpha
	  (max alpha (alphabeta-minimize (cdr tree) alpha beta)))))))

(defun alphabeta-minimize (tree alpha beta)
  (setq *alphabeta-nodes-examined* (1+ *alphabeta-nodes-examined*))
  (if (atom tree)
      tree
    (if (>= alpha beta)
	alpha
      (progn
	(setq beta (min beta (alphabeta-maximize (car tree) alpha beta)))
	(if (>= alpha beta)
	    alpha
	  (min beta (alphabeta-maximize (cdr tree) alpha beta)))))))

(defun alphabeta-nodes-pruned ()
  *alphabeta-nodes-pruned*)

(defun average-pruned ()
  (let ((total-pruned 0))
    (dotimes (i 100)
      (alphabeta (trial (+ i 1)))
      (setq total-pruned (+ total-pruned (alphabeta-nodes-pruned))))
    (float (/ total-pruned 100))))

; > (average-pruned)
; 15.54
