main(int argc, char *argv[])
{
     int top, i = 0;
     
     if (argc != 2)
	  exit(1);

     top = atoi(argv[1]);

     do {
	  /* Copy the output to tape 3. */
	  printf("%d,", i); 		/* O(lg top) */
	  i += 3; 			/* O(lg top) */
	  top -= 3;			/* O(lg top) */
     } while (top >= 0);		/* free (side-effect of top -= 3) */

     /*
      * The total cost of the loop is O(lg top).  It executes (top/3)
      * times, so the order of the loop is O(top lg top).
      */
     
     /*
      * Copying the output from tape 3 to tape 1 is
      * (top/3)(lg top), or O(top lg top).
      */
     
     printf("\n");
     exit(0);
}

     
