;;
;; This code automatically generates the run-time type checking needed
;; by the action cluster.
;;

(defun generate-runtime-checks ()
  (interactive)
  (save-excursion
    (re-search-backward "proc *(")
    (search-forward "(")
    (setq b (point))
    (search-forward ": attribs")
    (search-backward ":")
    (setq e (point))
    (setq args nil)
    (save-restriction
      (narrow-to-region b e)
      (goto-char (point-min))
      (setq b (point)
	    e (point))
      (catch 'got-args
	(while t
	  (setq b (point))
	  (skip-chars-forward "a-zA-Z0-9_" (point-max))
	  (setq e (point))
	  (setq args (append args (list (buffer-substring b e))))
	  (if (= (point) (point-max))
	      (throw 'got-args t))
	  (forward-char 2)))))
  (save-excursion
    (search-backward "proc(")
    (beginning-of-line)
    (forward-to-indentation 0)
    (setq b (point))
    (skip-chars-forward "a-zA-Z0-9_")
    (setq e (point))
    (setq proc-name (buffer-substring b e)))
  (insert "%")
  (clu-ret)
  (insert "% Make sure we are supposed to be generating code")
  (clu-ret)
  (insert "%")
  (clu-ret)
  (clu-ret)
  (insert "if ~ok_to_generate()")
  (clu-ret)
  (insert "then return (c) end")
  (clu-ret)
  (clu-ret)
  (insert "%")
  (clu-ret)
  (insert "% Make sure that we have the right kinds of attributes")
  (clu-ret)
  (insert "%")
  (clu-ret)
  (clu-ret)
  (while (setq elem (car args))
    (setq args (cdr args))
    (insert "if ~ attribs$is_" elem "(" elem ") then")
    (clu-ret)
    (insert "signal failure(\"\\n\\tgenerate$" proc-name ": \" || production ||")
    (clu-ret)
    (insert "\"\\n\" || \"\\t" elem " has attributes of kind \" ||")
    (clu-ret)
    (insert "attribs$unparse_kind(" elem ") || \".\")")
    (clu-ret)
    (insert "end % if")
    (clu-ret)
    (clu-ret))
  (insert "if debug_level >= 5 then")
  (clu-ret)
  (insert "c := code$append(c, comment(\"In code generation for \" ||")
  (clu-ret)
  (insert "production))")
  (clu-ret)
  (insert "if debug_level >= 10 then")
  (clu-ret)
  (insert "stream$putl(debug_file, \"Generating code for \" || production)")
  (clu-ret)
  (insert "end")
  (clu-ret)
  (insert "end")
  (clu-ret)
  (clu-ret)
  (search-forward "= proc")
  (next-line 4)
  (beginning-of-line))
    
    
